Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.applet
Class ID

    java.lang.Object
      opencard.opt.applet.ID

Direct Known Subclasses:
  AppletID

    public class ID

extends java.lang.Object

ID - A wrapper class for unsigned byte arrays.

Since:
  OCF1.2
Version:
  $Id: ID.java,v 1.5 2000/01/14 09:32:27 damke Exp $
Author:
  Thomas Stober (tstober@de.ibm.com)
See Also:
  `HexString`

Constructor Summary
`ID(byte[] array)` Constructs the AppletID from a byte array.
`ID(java.lang.String hexString)` Construct the ID from a hexadecimal string.

Method Summary
`boolean` | `equals(java.lang.Object object)` Checks whether this ID equals another object.
`byte[]` | `getBytes()` Returns the ID as a byte array.
`int` | `hashCode()` Returns a hash code for the ID.
`java.lang.String` | `toString()` Returns the ID as a string.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ID

    public ID(byte[] array)

  Constructs the AppletID from a byte array.

  Parameters:
    `array` - Byte array for initialization of the ID.

### ID

    public ID(java.lang.String hexString)

  Construct the ID from a hexadecimal string.

  Parameters:
    `hexString` - Hexadecimal string for initialization of the ID.

Method Detail

### equals

    public boolean equals(java.lang.Object object)

  Checks whether this ID equals another object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `object` - The object to be compared with this ID.

### getBytes

    public byte[] getBytes()

  Returns the ID as a byte array.

  Returns:
    The ID as a byte array.

### hashCode

    public int hashCode()

  Returns a hash code for the ID.

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Returns the ID as a string.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    The ID as a string.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD